<?php
/**
 * Functions to provide support for the One Click Demo Import plugin (wordpress.org/plugins/one-click-demo-import)
 *
 * @package Sydney
 */

if ( !defined('ELEMENTOR_PATH') ) {
    return;
}

/**
 * Set import files
 */
function sydney_set_import_files() {

		//Original demo
        $demos[] = array(
            'import_file_name'              => __('Original', 'sydney'),
            'local_import_file'             => trailingslashit( get_template_directory() ) . 'demo-content/demo-content.xml',           
            'local_import_widget_file'      => trailingslashit( get_template_directory() ) . 'demo-content/demo-widgets.wie',
            'local_import_customizer_file'  => trailingslashit( get_template_directory() ) . 'demo-content/demo-customizer.dat',           
            'import_preview_image_url'      => '//athemes.com/wp-content/uploads/spstyleoriginal.jpg',
        );

    	return $demos;
}
add_filter( 'pt-ocdi/import_files', 'sydney_set_import_files' );

/**
 * Define actions that happen after import
 */
function sydney_set_after_import_mods() {

	//Assign the menu
    $main_menu = get_term_by( 'name', 'Menu 1', 'nav_menu' );
    set_theme_mod( 'nav_menu_locations', array(
            'primary' => $main_menu->term_id,
        )
    );

    //Asign the static front page and the blog page
    $front_page = get_page_by_title( 'My front page' );
    $blog_page  = get_page_by_title( 'My blog' );

    update_option( 'show_on_front', 'page' );
    update_option( 'page_on_front', $front_page -> ID );
    update_option( 'page_for_posts', $blog_page -> ID );

    //Assign the Front Page template
    update_post_meta( $front_page -> ID, '_wp_page_template', 'page-templates/page_front-page.php' );

    if ( class_exists('SmartSlider3', false) ){
        SmartSlider3::import(dirname(__FILE__) . '/demo-slider.ss3');
    }    

}
add_action( 'pt-ocdi/after_import', 'sydney_set_after_import_mods' );

if ( !function_exists( 'sydney_ocdi_plugin_intro_text' ) ) {
    function sydney_ocdi_plugin_intro_text( $default_text ) {
        $default_text .= '<p><strong>Click the button below to import the default Sydney Pro demo</strong></p><p style="color:#a2a2a2;font-style:italic;" class="ocdi__intro-text">Looking for more demos for Sydney Pro? Have a look at our growing collection of <a target="_blank" href="https://athemes.com/sydney-pro-demo-files/">child themes</a>.</p>';

        return $default_text;
    }
}
add_filter( 'pt-ocdi/plugin_intro_text', 'sydney_ocdi_plugin_intro_text' );

/**
 * Remove branding
 */
add_filter( 'pt-ocdi/disable_pt_branding', '__return_true' );